# LIST DESCRIPTOR\_SOURCES

## Syntax

```sql
[ LIST | SHOW ] DESCRIPTOR_SOURCES;
```

## Description

This command provides a list of [descriptor sources](/reference/sql-syntax/data-format-serialization.md) within the [organization](/overview/core-concepts/access-control.md#_organiation).

A descriptor source is listed only if the current role has `USAGE` privileges.

## Examples

```sh
demodb.public/demostore# SHOW DESCRIPTOR_SOURCES;
+-----------+-------+----------+----------------+----------+-------------------------------+-------------------------------+
|  Name     |  Tags |  Type    |  Url           |  Owner   |  Created At                   |  Updated At                   |
+===========+=======+==========+================+==========+===============================+===============================+
| pageviews | []    | protobuf | <download_url> | sysadmin | 2024-06-05 17:38:56 +0000 UTC | 2024-06-05 17:38:56 +0000 UTC |
+-----------+-------+----------+----------------+----------+-------------------------------+-------------------------------+
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.deltastream.io/reference/sql-syntax/command/list-descriptor_sources.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
